package android.ss.com.vboost;

import X.4Sh;
import android.content.Context;
import android.os.SystemClock;
import com.bytedance.covode.number.Covode;
import com.bytedance.librarian.Librarian;

public class CapabilityNativeInf {
    public static native boolean nativeIsSupportCapability(CapabilityType capabilityType);

    public static native void nativeLoadMethod();

    public static native void nativeRegisterApplication(Context context);

    public static native void nativeRequestVibrateCapability(int i, float f, float f2, float f3, String str);

    static {
        Covode.recordClassIndex(7);
        try {
            long uptimeMillis = SystemClock.uptimeMillis();
            Librarian.LIZIZ("vboost", false, (Context) null);
            4Sh.LIZ(uptimeMillis, "vboost");
        } catch (UnsatisfiedLinkError e) {
            e.printStackTrace();
        }
    }
}
